summaryrefslogtreecommitdiffstats
path: root/testing/ifplugd/ifplugd.initd
diff options
context:
space:
mode:
authorPablo Castorino <pcastorino@mendoza-conicet.gob.ar>2012-11-20 09:55:19 -0300
committerNatanael Copa <ncopa@alpinelinux.org>2012-11-21 08:57:30 +0000
commite567b0dde77f1220423f02be9b33166c26e175bd (patch)
tree997c9c99b9e09d60d95ce30efdc811774d3306f1 /testing/ifplugd/ifplugd.initd
parent2745e5cac8415bd3d38cb4116d552fe05af3a08b (diff)
downloadaports-e567b0dde77f1220423f02be9b33166c26e175bd.tar.bz2
aports-e567b0dde77f1220423f02be9b33166c26e175bd.tar.xz
ifplugd: new aport
Diffstat (limited to 'testing/ifplugd/ifplugd.initd')
-rw-r--r--testing/ifplugd/ifplugd.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/ifplugd/ifplugd.initd b/testing/ifplugd/ifplugd.initd
new file mode 100644
index 000000000..c5b8ec53d
--- /dev/null
+++ b/testing/ifplugd/ifplugd.initd
@@ -0,0 +1,32 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/net-misc/quagga/files/ifplugd.init,v 1.2 2007/02/25 09:57:18 mrness Exp $
+
+depend() {
+ need net
+ after firewall opennhrp
+}
+
+checkconfig() {
+ if [ ! -e /etc/ifplugd/ifplugd.conf ] ; then
+ eerror "You need to create /etc/ifplugd/ifplugd.conf first."
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting ifplugd"
+ sh /usr/sbin/ifplugd-helper start
+ result=$?
+ eend $result
+}
+
+stop() {
+ ebegin "Stopping ifplugd"
+ sh /usr/sbin/ifplugd-helper stop
+ result=$?
+ eend $result
+}